Add3DFace的问题?
Add3DFace(Point1, Point2, Point3[, Point4]) 说明第四点是可以忽略的,但例子出错?!何解?Sub Example_Add3DFace()
' This example creates a 3D face in model space.
Dim faceObj As Acad3DFace
Dim point1(0 To 2) As Double
Dim point2(0 To 2) As Double
Dim point3(0 To 2) As Double
'Dim point4(0 To 2) As Double
' Define the four coordinates of the face
point1(0) = 0#: point1(1) = 0#: point1(2) = 0#
point2(0) = 5#: point2(1) = 0#: point2(2) = 1#
point3(0) = 1#: point3(1) = 10#: point3(2) = 0#
' point4(0) = 5#: point4(1) = 5#: point4(2) = 1#
' Create the 3DFace object in model space
Set faceObj = ThisDrawing.ModelSpace.Add3DFace(point1, point2, point3) ', point4)
ZoomAll
End Sub
应该是帮助文件的错误。
在对象浏览器中是这样的:
Function Add3DFace(Point1, Point2, point3, Point4) As Acad3DFace
页:
[1]